public static interface VertxWebsocketEndpointBuilderFactory.VertxWebsocketBuilders
| Modifier and Type | Method and Description |
|---|---|
default VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder |
vertxWebsocket(String path)
Vert.x WebSocket (camel-vertx-websocket)
Expose WebSocket endpoints and connect to remote WebSocket servers
using Vert.x
Category: websocket
Since: 3.5
Maven coordinates: org.apache.camel:camel-vertx-websocket
Syntax:
vertx-websocket:host:port/path
Path parameter: host
The host that the consumer should bind to or the host of the remote
websocket destination that the producer should connect to
Default value: 0.0.0.0
Path parameter: port
The port that the consumer should bind to or port of the remote
websocket destination that the producer should connect to
Default value: 0
Path parameter: path (required)
The path that the consumer should bind to or path of the remote
websocket destination that the producer should connect to
Default value: / |
default VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder |
vertxWebsocket(String componentName,
String path)
Vert.x WebSocket (camel-vertx-websocket)
Expose WebSocket endpoints and connect to remote WebSocket servers
using Vert.x
Category: websocket
Since: 3.5
Maven coordinates: org.apache.camel:camel-vertx-websocket
Syntax:
vertx-websocket:host:port/path
Path parameter: host
The host that the consumer should bind to or the host of the remote
websocket destination that the producer should connect to
Default value: 0.0.0.0
Path parameter: port
The port that the consumer should bind to or port of the remote
websocket destination that the producer should connect to
Default value: 0
Path parameter: path (required)
The path that the consumer should bind to or path of the remote
websocket destination that the producer should connect to
Default value: / |
default VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder vertxWebsocket(String path)
vertx-websocket:host:port/path
Path parameter: host
The host that the consumer should bind to or the host of the remote
websocket destination that the producer should connect to
Default value: 0.0.0.0
Path parameter: port
The port that the consumer should bind to or port of the remote
websocket destination that the producer should connect to
Default value: 0
Path parameter: path (required)
The path that the consumer should bind to or path of the remote
websocket destination that the producer should connect to
Default value: /path - host:port/pathdefault VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder vertxWebsocket(String componentName, String path)
vertx-websocket:host:port/path
Path parameter: host
The host that the consumer should bind to or the host of the remote
websocket destination that the producer should connect to
Default value: 0.0.0.0
Path parameter: port
The port that the consumer should bind to or port of the remote
websocket destination that the producer should connect to
Default value: 0
Path parameter: path (required)
The path that the consumer should bind to or path of the remote
websocket destination that the producer should connect to
Default value: /componentName - to use a custom component name for the endpoint
instead of the default namepath - host:port/pathApache Camel